# Project information
site_name: Taipy 시작하기
site_url: "https://pythonnecosystems.gitlab.io/taipy/getting-started/" 
site_author:   translated and edited by YJLee
site_description: >-
  [Getting Started with Taipy](...)를 편역
# Repository
repo_name: pythonnecosystems/taipy/getting-started
repo_url: https://gitlab.com/pythonnecosystems/taipy/getting-started
edit_uri: https://gitlab.com/-/ide/project/pythonnecosystems/taipy/getting-started/edit/main/-/

# Configuration
theme:
  name: material
  # custom_dir: !ENV [THEME_DIR, "material"]

  # Static files
  static_templates:
    - 404.html

  # Don't include MkDocs' JavaScript
  #include_search_page: false
  #search_index_only: true

  # Default values, taken from mkdocs_theme.yml
  language: en
  #features:
  #  - content.code.annotate
    # - content.tabs.link
    # - header.autohide
    # - navigation.expand
  #  - navigation.indexes
    # - navigation.instant
  #  - navigation.sections
  #  - navigation.tabs
    # - navigation.tabs.sticky
  #  - navigation.top
  #  - navigation.tracking
  #  - search.highlight
  #  - search.share
  #  - search.suggest
  #  - toc.follow
    # - toc.integrate
  palette:
    - scheme: amber
      primary: amber
      accent: orange
      #toggle:
        #icon: material/toggle-switch
        #name: Switch to dark mode
    #- scheme: slate
      #primary: red
      #accent: red
      #toggle:
        #icon: material/toggle-switch-off-outline
        #name: Switch to light mode
  font:
    text: Roboto
    code: Roboto Mono
  #favicon: assets/favicon.png
  #icon:
    #logo: logo
  markdown_extensions:
    # - pymdownx.arithmatex:
    #     generic: true
    - pymdownx.highlight:
        # linenums: true
        # linenums_style: pymdownx-inline
        # anchor_linenums: true
        auto_title: false
        # line_spans: __span
        # pygments_lang_class: true
        anchor_linenums: true
        line_spans: __span
        pygments_lang_class: true
    - pymdownx.inlinehilite
    - pymdownx.snippets
    - pymdownx.superfences

nav:
  # - 들어가며: index.md
  - 시작하기: index.md
